%{?nodejs_find_provides_and_requires}

%global enable_tests 1

Name:           nodejs-runforcover
Version:        0.0.2
Release:        %mkrel 6
Summary:        Require plugin for JS code coverage

BuildArch:      noarch

Group:          System/Libraries
#no license file included; "new BSD" indicated in package.json
License:        BSD
URL:            https://github.com/chrisdickinson/node-runforcover
Source0:        http://registry.npmjs.org/runforcover/-/runforcover-%{version}.tgz

BuildRequires:  nodejs-packaging

%if 0%{?enable_tests}
BuildRequires:  npm(bunker)
%endif

%description
Runforcover hooks into the `require()` function and uses nodejs-bunker to
provide code coverage data for your unit test library, whatever it might be.

%prep
%setup -q -n package

%build
#nothing to do

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/runforcover
cp -pr package.json index.js %{buildroot}%{nodejs_sitelib}/runforcover

%nodejs_symlink_deps

%if 0%{?enable_tests}
%check
%nodejs_symlink_deps --check
%__nodejs test/index.js
%endif

%files
%{nodejs_sitelib}/runforcover
%doc README.markdown



%changelog
* Tue May 05 2020 joequant <joequant> 0.0.2-6.mga8
+ Revision: 1580432
- redo deps

* Wed Feb 12 2020 umeabot <umeabot> 0.0.2-5.mga8
+ Revision: 1492628
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 0.0.2-4.mga7
+ Revision: 1265197
- Mageia 7 Mass Rebuild

* Mon Feb 08 2016 umeabot <umeabot> 0.0.2-3.mga6
+ Revision: 950427
- Mageia 6 Mass Rebuild
+ tv <tv>
- reenable tests

* Tue Oct 28 2014 tv <tv> 0.0.2-1.mga5
+ Revision: 794263
- disable tests for bootstrap
- imported package nodejs-runforcover

